# Copyright 2021-2022 Ian Jackson and contributors to Hippotat
# SPDX-License-Identifier: GPL-3.0-or-later WITH LicenseRef-Hippotat-OpenSSL-Exception
# There is NO WARRANTY.

[package]
name = "hippotat-macros"
version = "1.1.7"
edition = "2018"
description="Asinine HTTP-over-IP, proc-macros"
license="GPL-3.0-or-later"
# ^ Actually, it's WITH LicenseRef-Hippotat-OpenSSL-Exception
repository="https://salsa.debian.org/iwj/hippotat"
homepage="https://www.chiark.greenend.org.uk/~ianmdlvl/hippotat/current/docs/"

[dependencies]
itertools = "0.10"
syn = { version = "1", features=["extra-traits"] }
proc-macro2 = "1"
quote = "1"

[lib]
path = "macros.rs"
proc-macro = true
